# propertyestimator.datasets.register_thermoml_property

`propertyestimator.datasets.``register_thermoml_property`(thermoml_string, supported_phases)

  A decorator which registers information on how to parse a given ThermoML property

  For now this only takes input of a thermoML string, but in future will give greater control over exactly how ThermoML XML gets parsed to an actual property.

  Parameters

    - thermoml_string (str) – The ThermoML string identifier (ePropName) for this property.

    - supported_phases (PropertyPhase:) – An enum which encodes all of the phases for which this property supports being estimated in.